# Uses of Class
java.util.concurrent.CountedCompleter

Packages that use CountedCompleter
Package
Description
java.util.concurrent
Utility classes commonly useful in concurrent programming.

## Uses of CountedCompleter in java.util.concurrent

Methods in java.util.concurrent that return CountedCompleter
Modifier and Type
Method
Description
`final CountedCompleter<?>`
CountedCompleter.`firstComplete()`
If this task's pending count is zero, returns this task; otherwise decrements its pending count and returns `null`.
`final CountedCompleter<?>`
CountedCompleter.`getCompleter()`
Returns the completer established in this task's constructor, or `null` if none.
`final CountedCompleter<?>`
CountedCompleter.`getRoot()`
Returns the root of the current computation; i.e., this task if it has no completer, else its completer's root.
`final CountedCompleter<?>`
CountedCompleter.`nextComplete()`
If this task does not have a completer, invokes `ForkJoinTask.quietlyComplete()` and returns `null`.
Methods in java.util.concurrent with parameters of type CountedCompleter
Modifier and Type
Method
Description
`void`
CountedCompleter.`onCompletion(CountedCompleter<?> caller)`
Performs an action when method `CountedCompleter.tryComplete()` is invoked and the pending count is zero, or when the unconditional method `CountedCompleter.complete(T)` is invoked.
`boolean`
CountedCompleter.`onExceptionalCompletion(Throwable ex, CountedCompleter<?> caller)`
Performs an action when method `ForkJoinTask.completeExceptionally(Throwable)` is invoked or method `CountedCompleter.compute()` throws an exception, and this task has not already otherwise completed normally.
Constructors in java.util.concurrent with parameters of type CountedCompleter
Modifier
Constructor
Description
`protected`
`CountedCompleter(CountedCompleter<?> completer)`
Creates a new CountedCompleter with the given completer and an initial pending count of zero.
`protected`
`CountedCompleter(CountedCompleter<?> completer, int initialPendingCount)`
Creates a new CountedCompleter with the given completer and initial pending count.